ConnectionClosingEvent (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.notification, class: ConnectionClosingEvent

Package com.sun.messaging.jms.notification

# Class ConnectionClosingEvent

java.lang.Object
java.util.EventObject
com.sun.messaging.jms.notification.Event
com.sun.messaging.jms.notification.ConnectionEvent
com.sun.messaging.jms.notification.ConnectionClosingEvent

All Implemented Interfaces:
  `Serializable`

public class ConnectionClosingEvent extends ConnectionEvent
MQ Connection closing Event. This event is generated (if application had set a connection event listener) when MQ client runtime received a notification from MQ broker that a connection is about to be closed due to a soft shutdown.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECTION_CLOSING_ADMIN`
  Connection closing event code - admin requested shutdown.

  ### Fields inherited from class com.sun.messaging.jms.notification.ConnectionEvent

  `connection`

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionClosingEvent(Connection conn, String evCode, String evMessage, long timePeriod)`
  Construct a ConnectionClosingEvent object associated with the connection specified.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getClosingTimePeriod()`
  Get the connection closing time period in milli seconds.

  ### Methods inherited from class com.sun.messaging.jms.notification.ConnectionEvent

  `getBrokerAddress, getConnection, getSource`

  ### Methods inherited from class com.sun.messaging.jms.notification.Event

  `getEventCode, getEventMessage, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONNECTION_CLOSING_ADMIN

    public static final String CONNECTION_CLOSING_ADMIN
    Connection closing event code - admin requested shutdown.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionClosingEvent

    public ConnectionClosingEvent(Connection conn, String evCode, String evMessage, long timePeriod)
    Construct a ConnectionClosingEvent object associated with the connection specified.
    Parameters:
      `conn` - the connection associated with the closing event.
      `evCode` - the event code that represents this event object.
      `evMessage` - the event message that describes this event object.
      `timePeriod` - the closing time period (in milli secs) since the broker announces the connection is to be closed.

- ## Method Details

  - ### getClosingTimePeriod

    public long getClosingTimePeriod()
    Get the connection closing time period in milli seconds. The time period is calculated from the announcement time by broker.
    Returns:
      the closing time period.